Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.probdist
Class NakagamiDist

    java.lang.Object
      umontreal.iro.lecuyer.probdist.ContinuousDistribution
          umontreal.iro.lecuyer.probdist.NakagamiDist

All Implemented Interfaces:
  Distribution

    public class NakagamiDist

extends ContinuousDistribution

Extends the class `ContinuousDistribution` for the Nakagami distribution with location parameter a, scale parameter λ > 0 and shape parameter c > 0. The density is

f (x) = 2λc/Γ(c) (x - a)2c-1 e-λ(x-a)2 for x > a,

f (x) = 0 for x <= a,

where Γ is the gamma function.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.probdist.ContinuousDistribution
`decPrec`

Constructor Summary
`NakagamiDist(double a, double lambda, double c)` Constructs a `NakagamiDist` object with parameters a = `a`, λ = `lambda` and c = `c`.

Method Summary
`static double` | `barF(double a, double lambda, double c, double x)` Computes the complementary distribution function.
`double` | `cdf(double x)` Returns the distribution function F(x).
`static double` | `cdf(double a, double lambda, double c, double x)` Computes the distribution function.
`double` | `density(double x)` Returns f (x), the density evaluated at x.
`static double` | `density(double a, double lambda, double c, double x)` Computes the density function of the Nakagami distribution.
`double` | `getA()` Returns the location parameter a of this object.
`double` | `getC()` Returns the shape parameter c of this object.
`double` | `getLambda()` Returns the scale parameter λ of this object.
`double` | `getMean()` Returns the mean.
`static double` | `getMean(double a, double lambda, double c)` .
`double[]` | `getParams()` Return a table containing the parameters of the current distribution.
`double` | `getStandardDeviation()` Returns the standard deviation.
`static double` | `getStandardDeviation(double a, double lambda, double c)` Computes the standard deviation of the Nakagami distribution with parameters a, λ and c.
`double` | `getVariance()` Returns the variance.
`static double` | `getVariance(double a, double lambda, double c)` .
`double` | `inverseF(double u)` Computes and returns the inverse distribution function x = F-1(u), by calling the method `inverseBrent`.
`static double` | `inverseF(double a, double lambda, double c, double u)` Computes the inverse of the distribution function.
`void` | `setParams(double a, double lambda, double c)` Sets the parameters a, λ and c of this object.
`String` | `toString()` Returns a `String` containing information about the current distribution.

Methods inherited from class umontreal.iro.lecuyer.probdist.ContinuousDistribution
`barF, inverseBisection, inverseBrent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NakagamiDist

    public NakagamiDist(double a,
                        double lambda,
                        double c)

  Constructs a `NakagamiDist` object with parameters a = `a`, λ = `lambda` and c = `c`.

Method Detail

### density

    public double density(double x)

  Description copied from class: `ContinuousDistribution`
  Returns f (x), the density evaluated at x.

  Specified by:
    `density` in class `ContinuousDistribution`
  Parameters:
    `x` - value at which the density is evaluated
  Returns:
    density function evaluated at `x`

### cdf

    public double cdf(double x)

  Description copied from interface: `Distribution`
  Returns the distribution function F(x).

  Parameters:
    `x` - value at which the distribution function is evaluated
  Returns:
    distribution function evaluated at `x`

### inverseF

    public double inverseF(double u)

  Description copied from class: `ContinuousDistribution`
  Computes and returns the inverse distribution function x = F-1(u), by calling the method `inverseBrent`. Restrictions: u∈[0, 1].

  Specified by:
    `inverseF` in interface `Distribution`
  Overrides:
    `inverseF` in class `ContinuousDistribution`
  Parameters:
    `u` - value at which the inverse distribution function is evaluated
  Returns:
    the inverse distribution function evaluated at `u`

### getMean

    public double getMean()

  Description copied from class: `ContinuousDistribution`
  Returns the mean.

  Specified by:
    `getMean` in interface `Distribution`
  Overrides:
    `getMean` in class `ContinuousDistribution`
  Returns:
    the mean

### getVariance

    public double getVariance()

  Description copied from class: `ContinuousDistribution`
  Returns the variance.

  Specified by:
    `getVariance` in interface `Distribution`
  Overrides:
    `getVariance` in class `ContinuousDistribution`
  Returns:
    the variance

### getStandardDeviation

    public double getStandardDeviation()

  Description copied from class: `ContinuousDistribution`
  Returns the standard deviation.

  Specified by:
    `getStandardDeviation` in interface `Distribution`
  Overrides:
    `getStandardDeviation` in class `ContinuousDistribution`
  Returns:
    the standard deviation

### density

    public static double density(double a,
                                 double lambda,
                                 double c,
                                 double x)

  Computes the density function of the Nakagami distribution.

  Parameters:
    `a` - the location parameter
    `lambda` - the scale parameter
    `c` - the shape parameter
    `x` - the value at which the density is evaluated
  Returns:
    returns the density function

### cdf

    public static double cdf(double a,
                             double lambda,
                             double c,
                             double x)

  Computes the distribution function.

  Parameters:
    `a` - the location parameter
    `lambda` - the scale parameter
    `c` - the shape parameter
    `x` - the value at which the distribution is evaluated
  Returns:
    returns the cdf function

### barF

    public static double barF(double a,
                              double lambda,
                              double c,
                              double x)

  Computes the complementary distribution function.

  Parameters:
    `a` - the location parameter
    `lambda` - the scale parameter
    `c` - the shape parameter
    `x` - the value at which the complementary distribution is evaluated
  Returns:
    returns the complementary distribution function

### inverseF

    public static double inverseF(double a,
                                  double lambda,
                                  double c,
                                  double u)

  Computes the inverse of the distribution function.

  Parameters:
    `a` - the location parameter
    `lambda` - the scale parameter
    `c` - the shape parameter
    `u` - the value at which the inverse distribution is evaluated
  Returns:
    returns the inverse distribution function

### getMean

    public static double getMean(double a,
                                 double lambda,
                                 double c)

  . Computes and returns the mean

  E[X] = a + .

  Parameters:
    `a` - the location parameter
    `lambda` - the scale parameter
    `c` - the shape parameter
  Returns:
    returns the mean

### getVariance

    public static double getVariance(double a,
                                     double lambda,
                                     double c)

  . Computes and returns the variance

  Var[X] = [c - ([tex2html_wrap_indisplay260])2].

  Parameters:
    `a` - the location parameter
    `lambda` - the scale parameter
    `c` - the shape parameter
  Returns:
    returns the variance

### getStandardDeviation

    public static double getStandardDeviation(double a,
                                              double lambda,
                                              double c)

  Computes the standard deviation of the Nakagami distribution with parameters a, λ and c.

  Parameters:
    `a` - the location parameter
    `lambda` - the scale parameter
    `c` - the shape parameter
  Returns:
    returns the standard deviation

### getA

    public double getA()

  Returns the location parameter a of this object.

  Returns:
    returns the location parameter

### getLambda

    public double getLambda()

  Returns the scale parameter λ of this object.

  Returns:
    returns the scale parameter

### getC

    public double getC()

  Returns the shape parameter c of this object.

  Returns:
    returns the shape parameter

### setParams

    public void setParams(double a,
                          double lambda,
                          double c)

  Sets the parameters a, λ and c of this object.

  Parameters:
    `a` - the location parameter
    `lambda` - the scale parameter
    `c` - the shape parameter

### getParams

    public double[] getParams()

  Return a table containing the parameters of the current distribution. This table is put in regular order: [a, λ, c].

  Returns:
    returns the parameters [a, λ, c]

### toString

    public String toString()

  Returns a `String` containing information about the current distribution.

  Overrides:
    `toString` in class `Object`
  Returns:
    returns a `String` containing information about the current distribution.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.